unit Main;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, StdCtrls, ExtCtrls, ShellAPI;

type
  TSampleForm = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Exit1: TMenuItem;
    Panel2: TPanel;
    SrchButton: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure SrchButtonClick(Sender: TObject);
  private
    { Private declarations }
    baseHtmlDir : string;
    baseDir : string;
  public
    { Public declarations }
    procedure ShowHTMLFile(htmlFile : string);
    function GetBase : string;
  end;

var
  SampleForm: TSampleForm;

implementation

uses IDKSMDlg;

{$R *.DFM}

function TSampleForm.GetBase : string;
begin
   result := baseDir;
end;

procedure TSampleForm.FormCreate(Sender: TObject);
begin
   baseDir := ExtractFilePath(ParamStr(0));
   baseHtmlDir := baseDir + '{location of files}';
end;

procedure TSampleForm.Exit1Click(Sender: TObject);
begin
   Close;
end;

procedure TSampleForm.SrchButtonClick(Sender: TObject);
begin
   IDKSMDialog.ShowModal;
end;

procedure TSampleForm.ShowHTMLFile(htmlFile : string);
begin
(*    {whatevertool}.LoadFromFile(baseHtmlDir + htmlFile); *)
end;

end.
